function Block(xIn, yIn, wIn, hIn)
{
	this.x = xIn;
	this.y = yIn;
	this.canHitPlayer = true;
	this.damage = 1;
	
	this.rect = new Rectangle(xIn, yIn, wIn, hIn);
	
	this.draw = function(ctx)
	{
		ctx.fillStyle = "#000000";
		ctx.fillRect(this.x, this.y, this.rect.w, this.rect.h);
	}
	
	this.collide = function(r)
	{
		return this.rect.intersect(r);
	}
}